Module:    corba-random-client
Synopsis:  Use the Corba based random server
Author:    Chris Double
Copyright: (C) 1999, Chris Double.  All rights reserved.

define constant $random-ior-file = "..\\..\\random.ior";
define method main () => ()
  block()
    let orb = corba/orb-init(make(corba/<arg-list>), "Harlequin Dylan ORB");
    let object = 
      with-open-file( stream = $random-ior-file, direction: #"input")
        corba/orb/string-to-object(orb, as(<string>, stream.stream-contents))
      end with-open-file;

    let random = as(<random>, object);
    let number1 = random/lrand48(random);
    let number2 = random/mrand48(random);
    format-out("%d\n", number1);
    format-out("%d\n", number2);
  exception( e :: <condition> )
    format-out("An error occurred: %S\n", e);
  end block;
end method main;

begin
  main();
end;
